Get a dashboard by URL slug
curl --request GET \
--url https://api.coralogix.com/mgmt/openapi/3/v1/dashboards/by-slug/{slug} \
--header 'Authorization: <api-key>'import requests
url = "https://api.coralogix.com/mgmt/openapi/3/v1/dashboards/by-slug/{slug}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.coralogix.com/mgmt/openapi/3/v1/dashboards/by-slug/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"authorId": "<string>",
"authorName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"dashboard": {
"layout": {
"sections": [
{
"id": {
"value": "<string>"
},
"options": {
"internal": {}
},
"rows": [
{
"appearance": {
"height": 123
},
"id": {
"value": "<string>"
},
"widgets": [
{
"appearance": {
"width": 123
},
"createdAt": "2023-11-07T05:31:56Z",
"definition": {
"markdown": {
"markdownText": "<string>",
"tooltipText": "<string>"
}
},
"description": "<string>",
"id": {
"value": "<string>"
},
"title": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}
]
}
]
},
"name": "Example Name",
"absoluteTimeFrame": {
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z"
},
"actions": [
{
"definition": {
"customAction": {
"url": "<string>"
}
},
"id": "<string>",
"name": "<string>",
"shouldOpenInNewWindow": true,
"widgetId": "<string>"
}
],
"annotations": [
{
"description": "<string>",
"enabled": true,
"id": "<string>",
"name": "<string>",
"scope": {
"allWidgets": {}
},
"source": {
"metrics": {
"labels": [
"<string>"
],
"messageTemplate": "<string>",
"promqlQuery": {
"value": "<string>"
},
"strategy": {
"startTimeMetric": {}
}
}
}
}
],
"description": "Sample description",
"filters": [
{
"collapsed": true,
"displayName": "<string>",
"enabled": true,
"id": {
"value": "<string>"
},
"source": {
"logs": {
"field": "<string>",
"observationField": {
"keypath": [
"<string>"
]
},
"operator": {
"equals": {
"selection": {
"all": {}
}
}
}
}
}
}
],
"folderId": {
"value": "<string>"
},
"folderPath": {
"segments": [
"<string>"
]
},
"id": "GZLHSeqelCbD3I7HbIDtL",
"off": {},
"slugName": "system-health-monitoring",
"variables": [
{
"definition": {
"constant": {
"value": "<string>"
}
},
"description": "<string>",
"displayName": "<string>",
"name": "<string>"
}
],
"variablesV2": [
{
"description": "<string>",
"displayFullRow": true,
"displayName": "<string>",
"id": {
"value": "<string>"
},
"name": "<string>",
"source": {
"static": {
"allOption": {
"includeAll": true,
"label": "<string>"
},
"values": [
{
"isDefault": true,
"label": "<string>",
"value": "<string>"
}
]
}
},
"value": {
"multiString": {
"all": {}
}
}
}
]
},
"isLocked": true,
"lockerAuthorId": "<string>",
"lockerName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updaterAuthorId": "<string>",
"updaterName": "<string>"
}Dashboard Service
Get a dashboard by URL slug
No description available
Get a dashboard by URL slug
Authorizations
API key authentication
Path Parameters
Response
This is a response containing the requested dashboard
Available options:
TOKEN_ORIGIN_TYPE_UNSPECIFIED, TOKEN_ORIGIN_TYPE_USER, TOKEN_ORIGIN_TYPE_API Dashboard represents the structure and configuration of a Coralogix Custom Dashboard.
- Dashboard
- Dashboard
- Dashboard
- Dashboard
- Dashboard
- Dashboard
Show child attributes
Show child attributes
Available options:
TOKEN_ORIGIN_TYPE_UNSPECIFIED, TOKEN_ORIGIN_TYPE_USER, TOKEN_ORIGIN_TYPE_API Was this page helpful?
⌘I